Package tigase.form

## Class MultiItemForm

- java.lang.Object
- - tigase.form.AbstractForm
  - - tigase.form.Form
    - - tigase.form.MultiItemForm

-     public class MultiItemForm
      extends Form

  Author:
    Wojciech Kapcia

- - ### Field Summary

    - ### Fields inherited from class tigase.form.Form

      `fields`

    - ### Fields inherited from class tigase.form.AbstractForm

      `instruction, log, title, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiItemForm()` |
    `MultiItemForm​(java.lang.String title)` |
    `MultiItemForm​(Form form)` |
    `MultiItemForm​(Element form)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addItem​(Fields i)` |
    `java.util.List<Fields>` | `getAllItems()` |
    `Element` | `getElement()` |
    `static void` | `main​(java.lang.String[] args)` |
    `void` | `setReported​(java.util.List<Field> fields)` |

    - ### Methods inherited from class tigase.form.Form

      `addField, clear, copyValuesFrom, copyValuesFrom, get, getAllFields, getAsBoolean, getAsInteger, getAsLong, getAsString, getAsStrings, getInstruction, getTitle, getType, getTypeOrElse, is, isType, removeField, setInstruction, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiItemForm

          public MultiItemForm()

    - #### MultiItemForm

          public MultiItemForm​(java.lang.String title)

    - #### MultiItemForm

          public MultiItemForm​(Element form)

    - #### MultiItemForm

          public MultiItemForm​(Form form)

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] args)

    - #### getElement

          public Element getElement()

      Overrides:
        `getElement` in class `Form`

    - #### addItem

          public void addItem​(Fields i)

    - #### getAllItems

          public java.util.List<Fields> getAllItems()

    - #### setReported

          public void setReported​(java.util.List<Field> fields)